# SkullManager
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.managers.skulls

## Class SkullManager

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.managers.skulls.SkullManager

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class SkullManager
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`SkullManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.concurrent.CompletableFuture<org.bukkit.inventory.ItemStack>` `loadPlayerSkull(org.bukkit.entity.Player player)`
`void` `loadSkull(org.bukkit.entity.Player player)`
`void` `onJoin(org.bukkit.event.player.PlayerJoinEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SkullManager

    public SkullManager()

### Method Detail

#### onJoin

    public void onJoin(org.bukkit.event.player.PlayerJoinEvent e)

#### loadSkull

    public void loadSkull(org.bukkit.entity.Player player)

#### loadPlayerSkull

    public java.util.concurrent.CompletableFuture<org.bukkit.inventory.ItemStack> loadPlayerSkull(org.bukkit.entity.Player player)